# Changelog

## v0.4.4

* Change summary to shortDescription in box.json

## v0.4.3

* Fix query filter in rerender tweets task
* Better logging in rerender task

## v0.4.2

* Sort tweet data grid by date_posted
* Add indexes to twitter_status object

## v0.4.1

* Store IDs as strings, sort tweets by date_posted

## v0.4.0

* Update documentation
* Set summary for Forgebox

## v0.3.2

* Move display text to i18n properties
* Localise formatted date display
* Accessibility improvements (ARIA)

## v0.3.1

* Refactor CSS source structure
* Refactor public rendering methods

## v0.3.0

* Add web intents for user links
* Add SVG icons for tweet actions
* Refactor tweet renderers for better customisation

## v0.2.0

* Add styles for the default rendered tweets
* Add metadata and Twitter actions to default renderers
* Add lightbox for viewing media items
* Add JS interaction for Twitter intent actions

## v0.1.2

* Rework entity replacement to prevent potential double-replacements

## v0.1.1

* Replace newlines with HTML line breaks in default tweet renderer

## v0.1.0

* Release of initial functionality
	- Configure multiple Twitter accounts with credentials
	- Scheduled tasks to import existing tweets, and run regularly to pick up new ones
	- Scheduled tasks to update like/retweet counts, and to remove deleted tweets
	- Default renderers to convert the API data into a fully-rendered tweet (currently no default styling or interaction handling)
	- Manual task to re-render all saved tweets (e.g. if the renderers have changed)